Skip to main content
POST
Refresh expired access token

Body

application/json

The request body requires only the refresh_token property.

refresh_token
string

The alpha-numeric refresh token value, used to re-authenticate a user after the authentication token expires.

Example:

"d1a3e281-96b6-4f77-a587-7b6c8c2a96d9"

Response

Token successfully refreshed. The response body contains the newly created resource.

The response object returned for both /auth endpoints.

auth_id
string
read-only

A unique alpha-numeric string generated by the system when creating a resource (e.g., dishes, ingredients, etc). Ids are required for retrieving the properties of a specific resource.

Example:

"674d0bf5c28b69001f8e03a1"

created_at
string<date-time>
read-only

The date and time the resource was created. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

updated_at
string<date-time>
read-only

The date and time the resource was last updated.

Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

access_token
string

An alpha-numeric string generated when authenicating a user and required for protected endpoints.

Expires after ### seconds.

Example:

"fa0b97b2-445f-41d2-b50f-fb3b014a301e"

expires_at
string<date-time>
read-only

Indicates when a token expires and should be refreshed to maintain a user's authentication. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

refresh_token
string

The alpha-numeric refresh token value, used to re-authenticate a user after the authentication token expires.

Example:

"d1a3e281-96b6-4f77-a587-7b6c8c2a96d9"

token_type
string

The type of token used in an /auth request.

Example:

"Bearer"

user_name
string

The user name for account login purposes. User names cannot contain spaces.

Example:

"john_doe"